<h1 class=''>Welcome to <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki.html'>TiddlyWiki</a></h1><p>Welcome to TiddlyWiki, a versatile note-taking web application you can download for free, store wherever you like, customize however you wish, and use to take / organize / share your notes in ways that word processors and other note-taking tools cannot. TiddlyWiki is designed in a &quot;non-linear&quot; way, using tags, hyperlinks, and many other features, so that you can organize and retrieve your notes in ways that conform to your personal thought patterns, rather than feel chained to one pre-set organizational structure.</p><p>You can use TiddlyWiki as a single file that you view and edit through any web browser, whether you are online or offline. Or you can use it as a powerful <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/Node.js.html'>Node.js application</a> that treats each of your notes as a separate file and accesses them through a central hub.</p><p>How can you make TiddlyWiki work for you? We recommend you start with our introductory documentation, listed below, then browse the <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TableOfContents.html'>TableOfContents</a>, always available in the Contents tab in the sidebar. Or just <a class='tc-tiddlylink tc-tiddlylink-missing' href='http://tiddlywiki.com/static/Dowload.html'>download an empty TiddlyWiki now</a> and try it out for yourself!</p><ul><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/Discover%2520TiddlyWiki.html'>Discover TiddlyWiki</a> </li><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/Some%2520of%2520the%2520things%2520you%2520can%2520do%2520with%2520TiddlyWiki.html'>Some of the things you can do with TiddlyWiki</a></li><li><a class='tc-tiddlylink tc-tiddlylink-missing' href='http://tiddlywiki.com/static/The%2520history%2520of%2520TiddlyWiki.html'>The history of TiddlyWiki</a> </li><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/What%2520happened%2520to%2520the%2520other%2520TiddlyWiki%253F.html'>What happened to the other TiddlyWiki?</a></li></ul><h1 class=''>Getting started with <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki.html'>TiddlyWiki</a> under Node.js</h1><p>Running <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki.html'>TiddlyWiki</a> on <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/Node.js.html'>Node.js</a> brings several important benefits over and above the single file version:</p><ul><li>You can edit your content on any suitably compatible HTML5 browser, including smartphones and tablets</li><li>Individual tiddlers are stored in separate files, which you can organise as you wish</li><li>The ability to build multiple wikis that blend different combinations of shared and unique content</li></ul><h1 class=''>Installation</h1><ol><li>Install <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/Node.js.html'>Node.js</a> from <a class='tc-tiddlylink-external' href='http://nodejs.org' target='_blank'>http://nodejs.org</a></li><li>Open a command line terminal and type:<blockquote><p><code>npm install -g tiddlywiki</code></p><p>If it fails with an error you may need to re-run the command as an administrator:</p><p><code>npm install -g tiddlywiki</code> (Windows)</p><p><code>sudo npm install -g tiddlywiki</code> (Mac/Linux)</p></blockquote></li><li>Check <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki.html'>TiddlyWiki</a> is installed by typing:<blockquote><p><code>tiddlywiki --version</code></p></blockquote></li><li>In response, you should see <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki.html'>TiddlyWiki</a> report its current version (eg <code>5.0.8-beta</code>; you may also see other debugging information reported)</li><li>Try it out:<ol><li><code>tiddlywiki mynewwiki --init server</code> to create a folder for a new wiki that includes server-related components</li><li><code>tiddlywiki mynewwiki --server</code> to start <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki.html'>TiddlyWiki</a></li><li>Visit <a class='tc-tiddlylink-external' href='http://127.0.0.1:8080/' target='_blank'>http://127.0.0.1:8080/</a> in your browser</li><li>Try editing and creating tiddlers</li></ol></li></ol><p>The <code>-g</code> flag causes <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki.html'>TiddlyWiki</a> to be installed globally. Without it, <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki.html'>TiddlyWiki</a> will only be available in the directory where you installed it.</p><p>A slightly different method for installation is recommended if you plan on forking the source code in order to study it or contribute to it. See <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/Working%2520with%2520the%2520TiddlyWiki5%2520repository.html'>Working with the TiddlyWiki5 repository</a>.
</p><h1 class=''>Usage</h1><p><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki5.html'>TiddlyWiki5</a> can be used on the command line to perform an extensive set of operations based on <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWikiFolders.html'>TiddlyWikiFolders</a>, <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlerFiles.html'>TiddlerFiles</a> and <a class='tc-tiddlylink tc-tiddlylink-missing' href='http://tiddlywiki.com/static/TiddlyWikiFiles.html'>TiddlyWikiFiles</a>.</p><p>For example, the following command loads the tiddlers from a <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki.html'>TiddlyWiki</a> HTML file and then saves one of them in static HTML:</p><pre><code>tiddlywiki --verbose --load mywiki.html --rendertiddler ReadMe ./readme.html</code></pre><p>Running <code>tiddlywiki</code> from the command line boots the <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki.html'>TiddlyWiki</a> kernel, loads the core plugins and establishes an empty wiki store. It then sequentially processes the command line arguments from left to right. The arguments are separated with spaces.</p><p>The first argument is the optional path to the <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWikiFolders.html'>TiddlyWikiFolder</a> to be loaded. If not present, then the current directory is used.</p><p>The commands and their individual arguments follow, each command being identified by the prefix <code>--</code>.</p><pre><code>tiddlywiki [&lt;wikipath&gt;] [--&lt;command&gt; [&lt;arg&gt;[,&lt;arg&gt;]]]</code></pre><p>The available commands are:</p><p><ul><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/BuildCommand.html'>BuildCommand</a></li><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/ClearPasswordCommand.html'>ClearPasswordCommand</a></li><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/HelpCommand.html'>HelpCommand</a></li><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/InitCommand.html'>InitCommand</a></li><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/LoadCommand.html'>LoadCommand</a></li><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/MakeLibraryCommand.html'>MakeLibraryCommand</a></li><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/OutputCommand.html'>OutputCommand</a></li><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/PasswordCommand.html'>PasswordCommand</a></li><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/RenderTiddlerCommand.html'>RenderTiddlerCommand</a></li><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/RenderTiddlersCommand.html'>RenderTiddlersCommand</a></li><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/SaveTiddlerCommand.html'>SaveTiddlerCommand</a></li><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/SaveTiddlersCommand.html'>SaveTiddlersCommand</a></li><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/ServerCommand.html'>ServerCommand</a></li><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/SetFieldCommand.html'>SetFieldCommand</a></li><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/VerboseCommand.html'>VerboseCommand</a></li><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/VersionCommand.html'>VersionCommand</a></li></ul></p><p>See also:</p><ul><li><a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/Environment%2520Variables%2520on%2520Node.js.html'>Environment Variables on Node.js</a></li></ul><h1 class=''>Upgrading</h1><p>If you've installed <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki%2520on%2520Node.js.html'>TiddlyWiki on Node.js</a> on the usual way, when a new version is released you can upgrade it with this command:</p><pre><code>npm update -g tiddlywiki</code></pre><p>On Mac or Linux you'll need to add <strong>sudo</strong> like this:</p><pre><code>sudo npm update -g tiddlywiki</code></pre><h1 class=''>Working with the <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki5.html'>TiddlyWiki5</a> repository</h1><h1 class=''>Introduction</h1><p>Mario Pietsch has created a short video tutorial on working with the <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki5.html'>TiddlyWiki5</a> GitHub repository.</p><p><iframe allowfullscreen='true' frameborder='0' height='315' src='http://www.youtube.com/embed/6ElUruH92tc' width='560'></iframe></p><h1 class=''>Setting Up</h1><p>If you plan on working with the <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki5.html'>TiddlyWiki5</a> source code then follow these steps:</p><ol><li>Fork the <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki5.html'>TiddlyWiki5</a> <a class='tc-tiddlylink tc-tiddlylink-missing' href='http://tiddlywiki.com/static/GitHub.html'>GitHub</a> repository from <a class='tc-tiddlylink-external' href='https://github.com/Jermolene/TiddlyWiki5' target='_blank'>https://github.com/Jermolene/TiddlyWiki5</a></li><li>Clone a local copy of your fork</li><li>Open a command line terminal and change the current working directory to the root of the repo</li><li>Type <code>npm link</code> (Windows) or <code>sudo npm link</code> (Mac/Linux) to tell <a class='tc-tiddlylink tc-tiddlylink-missing' href='http://tiddlywiki.com/static/npm.html'>npm</a> to use this copy of the repo as the globally installed one</li></ol><p>After this procedure you can work with <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki5.html'>TiddlyWiki5</a> via <a class='tc-tiddlylink tc-tiddlylink-missing' href='http://tiddlywiki.com/static/npm.html'>npm</a> as though it were installed in the usual way with <code>npm install -g tiddlywiki</code>.</p><p>See also <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/Scripts%2520for%2520TiddlyWiki%2520on%2520Node.js.html'>Scripts for TiddlyWiki on Node.js</a>.</p><p><em>This readme file was automatically generated by <a class='tc-tiddlylink tc-tiddlylink-resolves' href='http://tiddlywiki.com/static/TiddlyWiki.html'>TiddlyWiki</a></em>
</p>